Bug 102602 - repocopy devel/sge -> devel/sdl_sge
Summary: repocopy devel/sge -> devel/sdl_sge
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-28 12:50 UTC by Jona Joachim
Modified: 2006-11-26 03:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2006-08-09 09:40:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Assign for repocopy.  Please reassign to freebsd-ports-bugs@ when done.
Comment 1 Jona Joachim 2006-08-28 12:50:16 UTC
When I initially posted this port (ports/101364) I called it devel/SGE in upper case so
that there is no ambiguity concerning sysutils/sge. Vanilla I. Shu decided to rename the
port to devel/sge in an effort to keep all port names in lower case. I think this is the
only case in the ports tree where two ports share the same name. Some tools don't handle
this correctly. Portaudit for example doesn't let you build SGE because of a root exploit
(http://www.freebsd.org/ports/portaudit/57a0242d-8c4e-11da-8ddf-000ae42e9b93.html) in the
Sun Grid Engine (sysutils/sge), which is in no way related to the SDL Graphics Extension
(devel/sge). Vanilla told me the problem resides in security/vuxml. I don't know how far
other tools (portupgrade?) are concerned. I propose to rename the port to devel/sdl_sge in
analogy to graphics/sdl_gfx to get rid of this problem.

Best regards,
Jona
Comment 2 Edwin Groothuis freebsd_committer 2006-08-28 12:50:25 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer)
Comment 3 Jona Joachim 2006-09-07 03:00:40 UTC
I'm just providing the diffs that would have to be applied

--- /usr/ports/devel/sge/Makefile	Mon Aug  7 09:09:54 2006
+++ Makefile	Thu Sep  7 03:50:48 2006
@@ -5,12 +5,12 @@
 # $FreeBSD: ports/devel/sge/Makefile,v 1.2 2006/08/07 07:09:54 vanilla
Exp $
 #

-PORTNAME=	sge
+PORTNAME=	sdl_sge
 PORTVERSION=	0.030809
 CATEGORIES=	devel graphics
 MASTER_SITES=	http://www.etek.chalmers.se/~e8cal1/sge/files/ \
 		http://www.digitalfanatics.org/cal/sge/files/
-DISTNAME=	${PORTNAME}030809
+DISTNAME=	sge030809

 MAINTAINER=	walkingshadow@grummel.net
 COMMENT=	A graphic library for the Simple DirectMedia Layer (SDL)
@@ -18,8 +18,6 @@
 USE_GMAKE=		yes
 USE_LDCONFIG=		yes
 NO_FILTER_SHLIBS=	yes
-LATEST_LINK=	sdl-sge
-CONFLICTS=	sge-6*

 OPTIONS=	SDL_IMAGE "Enable support for SDL_IMAGE" On \
 		FREETYPE "Enable FreeType support" On \
Comment 4 Jona Joachim 2006-09-19 09:47:12 UTC
Referring to the latest HEADS-UP posted by Mark Linimon
(http://docs.freebsd.org/cgi/mid.cgi?20060919060533.GB9147) you may
perhaps just want to delete the port. In fact, the last news posted to
the website dates back to 30th October 2003. The project seems to be
rather dead and can be replaced by sdl_gfx and sdl_ttf.
It would be very bad IMHO to have this conflict between sysutils/sge and
devel/sge in 6.2-RELEASE.
Just as you like.

Regards, Jona
Comment 5 Jose Alonso Cardenas Marquez freebsd_committer 2006-10-06 23:31:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

Over to vanilla (he has committed devel/sge)
Comment 6 Jona Joachim 2006-10-07 00:12:03 UTC
Edwin Groothuis wrote:
> On Mon, Aug 28, 2006 at 01:46:13PM +0200, Jona Joachim wrote:
>>> Synopsis:       repocopy devel/sge -> devel/sdl_sge
> 
> Does this need to be added to ports/Mk/bsd.sdl.mk too?

There is nothing about sge in bsd.sdl.mk until now. No port depends on
it an I don't think a lot of people use it so I don't think it is
necessary to make it available through the USE_SDL mechanism.
So ports/Mk/bsd.sdl.mk is not concerned by this change.

Jona
Comment 7 edwin 2006-10-07 04:28:32 UTC
On Sat, Oct 07, 2006 at 01:12:03AM +0200, Jona Joachim wrote:
> Edwin Groothuis wrote:
> > On Mon, Aug 28, 2006 at 01:46:13PM +0200, Jona Joachim wrote:
> >>> Synopsis:       repocopy devel/sge -> devel/sdl_sge
> > 
> > Does this need to be added to ports/Mk/bsd.sdl.mk too?
> 
> There is nothing about sge in bsd.sdl.mk until now. No port depends on
> it an I don't think a lot of people use it so I don't think it is
> necessary to make it available through the USE_SDL mechanism.
> So ports/Mk/bsd.sdl.mk is not concerned by this change.

Okies. If it ever needs to be added let me know!

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 8 Vanilla I. Shu freebsd_committer 2006-11-09 06:12:02 UTC
Responsible Changed
From-To: vanilla->portmgr

Assign to portmgr for repo-copy.
Comment 9 Vanilla I. Shu freebsd_committer 2006-11-09 06:12:02 UTC
Responsible Changed
From-To: vanilla->portmgr

Assign to portmgr for repo-copy.
Comment 10 Kris Kennaway freebsd_committer 2006-11-19 20:56:32 UTC
State Changed
From-To: open->repocopy

Repo copy requests must have state repocopy or they get overlooked
Comment 11 Joe Marcus Clarke freebsd_committer 2006-11-23 02:07:07 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 12 Joe Marcus Clarke freebsd_committer 2006-11-23 02:07:07 UTC
Responsible Changed
From-To: portmgr->edwin

Repocopy completed.
Comment 13 Edwin Groothuis freebsd_committer 2006-11-23 08:49:31 UTC
Responsible Changed
From-To: edwin->freebsd-ports-bugs
Comment 14 Edwin Groothuis freebsd_committer 2006-11-23 08:49:31 UTC
Responsible Changed
From-To: edwin->vanilla

Comment 15 dfilter service freebsd_committer 2006-11-26 03:11:37 UTC
vanilla     2006-11-26 03:09:43 UTC

  FreeBSD ports repository

  Modified files:
    devel/sdl_sge        Makefile 
  Log:
  Move devel/sge to devel/sdl_sge.
  
  PR:             ports/102602
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.5       +1 -2      ports/devel/sdl_sge/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Vanilla I. Shu freebsd_committer 2006-11-26 03:17:17 UTC
State Changed
From-To: open->closed

Committed, thanks.